> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omnichar.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a run’s outputs



## OpenAPI

````yaml /api/openapi.json get /v1/runs/{id}/outputs
openapi: 3.1.0
info:
  title: Omnichar API
  version: 0.1.0
  description: Characters, licenses, public license verification and signed webhooks.
servers:
  - url: https://api.omnichar.org
security:
  - bearer: []
paths:
  /v1/runs/{id}/outputs:
    get:
      tags:
        - Runs
      summary: Get a run’s outputs
      parameters:
        - schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
          in: path
          name: id
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  runId:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  status:
                    type: string
                    enum:
                      - queued
                      - dispatching
                      - running
                      - succeeded
                      - failed
                      - canceled
                  outputs:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        mediaKind:
                          type: string
                        bytes:
                          type: integer
                          minimum: 0
                          maximum: 9007199254740991
                        url:
                          type: string
                          format: uri
                        thumbUrl:
                          anyOf:
                            - type: string
                              format: uri
                            - type: 'null'
                        expiresAt:
                          type: string
                          format: date-time
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
                        label:
                          default: null
                          type:
                            - string
                            - 'null'
                        checkpoint:
                          default: false
                          type: boolean
                        continuity:
                          default: null
                          anyOf:
                            - type: object
                              properties:
                                characterId:
                                  type:
                                    - string
                                    - 'null'
                                continuityScore:
                                  type:
                                    - number
                                    - 'null'
                                continuityFaceOnly:
                                  type:
                                    - boolean
                                    - 'null'
                                continuitySubjectOnly:
                                  type:
                                    - boolean
                                    - 'null'
                                continuityWardrobe:
                                  type:
                                    - number
                                    - 'null'
                                continuityFace:
                                  type:
                                    - number
                                    - 'null'
                                continuitySubject:
                                  type:
                                    - number
                                    - 'null'
                                continuityGallery:
                                  anyOf:
                                    - type: string
                                      enum:
                                        - frozen
                                        - refs
                                    - type: 'null'
                                continuityFraming:
                                  type:
                                    - number
                                    - 'null'
                                continuityFrames:
                                  anyOf:
                                    - type: integer
                                      minimum: -9007199254740991
                                      maximum: 9007199254740991
                                    - type: 'null'
                                continuityNoFace:
                                  anyOf:
                                    - type: integer
                                      minimum: -9007199254740991
                                      maximum: 9007199254740991
                                    - type: 'null'
                                continuityMean:
                                  type:
                                    - number
                                    - 'null'
                                continuityMin:
                                  type:
                                    - number
                                    - 'null'
                                continuityMinAt:
                                  type:
                                    - number
                                    - 'null'
                                continuitySamples:
                                  anyOf:
                                    - type: array
                                      items:
                                        type: object
                                        properties:
                                          at:
                                            type: number
                                          score:
                                            type: number
                                        required:
                                          - at
                                          - score
                                        additionalProperties: false
                                    - type: 'null'
                                castContinuity:
                                  anyOf:
                                    - type: object
                                      properties:
                                        perCharacter:
                                          type: array
                                          items:
                                            type: object
                                            properties:
                                              file:
                                                type: string
                                              name:
                                                type: string
                                              score:
                                                type:
                                                  - number
                                                  - 'null'
                                              missingFrames:
                                                type: integer
                                                minimum: -9007199254740991
                                                maximum: 9007199254740991
                                              swappedFrames:
                                                type: integer
                                                minimum: -9007199254740991
                                                maximum: 9007199254740991
                                            required:
                                              - file
                                              - name
                                              - score
                                              - missingFrames
                                              - swappedFrames
                                            additionalProperties: false
                                        swapped:
                                          type: array
                                          items:
                                            type: string
                                        unmatched:
                                          type: integer
                                          minimum: -9007199254740991
                                          maximum: 9007199254740991
                                        frames:
                                          type: integer
                                          minimum: -9007199254740991
                                          maximum: 9007199254740991
                                      required:
                                        - perCharacter
                                        - swapped
                                        - unmatched
                                        - frames
                                      additionalProperties: false
                                    - type: 'null'
                              additionalProperties: false
                            - type: 'null'
                      required:
                        - id
                        - mediaKind
                        - bytes
                        - url
                        - thumbUrl
                        - expiresAt
                        - label
                        - checkpoint
                        - continuity
                      additionalProperties: false
                required:
                  - runId
                  - status
                  - outputs
                additionalProperties: false
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: 'A team key: sk_test_ for sandbox, sk_live_ for production.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.